<form [formGroup]="form" (ngSubmit)="onFilter()">
  <layout-filter-content
    [title]="'CUSTOMERS.PRE_CUSTOMERS.FILTERS.TITLE' | translate"
    [description]="'CUSTOMERS.PRE_CUSTOMERS.FILTERS.DESCRIPTION' | translate"
    [results]="(preCustomerTable$ | async)?.filtered"
    [hasFiltredData]="isPreCustomersFiltred$ | async"
    (cleanFilters)="onCleanFilters()"
  >
    <div
      class="main-filter"
      slot="main-filter"
      *ngIf="(projectFamily$ | async) === PRODUCT_FAMILY.BNPL"
    >
      <mo-input
        formControlName="search"
        [placeholder]="'CUSTOMERS.PRE_CUSTOMERS.FILTERS.SEARCH_BAR' | translate"
        [icon]="'uil-search'"
        [iconPosition]="ICON_POSITION.RIGHT"
      ></mo-input>
    </div>
    <div slot="filters" class="filters">
      <mo-input
        formControlName="reference"
        [placeholder]="'CUSTOMERS.PRE_CUSTOMERS.FILTERS.ID' | translate"
      ></mo-input>
      <mo-date
        formControlName="created_at"
        [placeholder]="'CUSTOMERS.PRE_CUSTOMERS.FILTERS.CREATED_AT' | translate"
      ></mo-date>
      <mo-date
        formControlName="updated_at"
        [placeholder]="'CUSTOMERS.PRE_CUSTOMERS.FILTERS.UPDATED_AT' | translate"
      ></mo-date>
      <div>
        <!-- TODO ADD PRODUCTS FILTERS WHEN BACK IMPLEMENT IT -->
      </div>
      <mo-button
        [text]="'APP.FILTERS.BTN_SEARCH' | translate"
        [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
        [displayBlock]="true"
        [size]="SIZES.MD"
        [type]="BUTTON_TYPE.SUBMIT"
      >
      </mo-button>
    </div>
  </layout-filter-content>
</form>
